For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
          • Authentication
          • Catalog
            • GETGet Product Variants Info
            • GETGet Variant Information
            • POSTGet Detailed Variant Information
          • Company
          • Orders
          • Request for Quote
          • Sales Rep
          • Shopping List
          • Store Settings
      • Management
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BStorefrontCatalog

Get Variant Information

GET
https://api-b2b.bigcommerce.com/api/v2/catalogs/quick-product
GET
/api/v2/catalogs/quick-product
$curl -G https://api-b2b.bigcommerce.com/api/v2/catalogs/quick-product \
> -H "Authorization: Bearer <token>" \
> --data-urlencode variantSkus=HB-2-RE-SM|HB-2-GR-SM|HB-2-BL-SM
200Retrieved
1{
2 "code": 200,
3 "message": "Success",
4 "data": [
5 {
6 "id": 118,
7 "product_id": 134,
8 "sku": "HB-2-RE-SM",
9 "calculated_price": 15,
10 "cost_price": 0,
11 "purchasing_disabled": false,
12 "image_url": "https://cdn.example.com/product_images/attribute_rule_images/2_source_1709578415.jpg",
13 "inventory_level": 0,
14 "option_values": [
15 {
16 "id": 113,
17 "label": "Red",
18 "option_id": 120,
19 "option_display_name": "Color"
20 }
21 ],
22 "variantSku": "HB-2-RE-SM",
23 "productId": "134",
24 "variantId": "118",
25 "baseSku": "HB-2",
26 "productName": "A Most Excellent Product",
27 "categories": [
28 24
29 ],
30 "price": 15,
31 "option": [
32 {
33 "id": 113,
34 "label": "Red",
35 "option_id": 120,
36 "option_display_name": "Color"
37 }
38 ],
39 "isVisible": "1"
40 }
41 ]
42}
Returns detailed information for each product variant provided in the `variantSkus` parameter. Several fields are duplicated in other formats for convenience. Analogous to the [Get a product variant](/developer/api-reference/rest/admin/catalog/product-variants/get-product-variant) endpoint in the default BigCommerce API. Equivalent Storefront GraphQL API Query: `variantSku`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).
Was this page helpful?
Previous

Get Product Variants Info

Next

Get Detailed Variant Information

Built with

Returns detailed information for each product variant provided in the variantSkus parameter. Several fields are duplicated in other formats for convenience.

Analogous to the Get a product variant endpoint in the default BigCommerce API.

Equivalent Storefront GraphQL API Query: variantSku. For more information, see the GraphQL Playground.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Query parameters

variantSkusstringRequired

A collection of SKUs associated with product variants, separated by |.

Response

SUCCESS
codeinteger
HTTP status code indicating the result of the operation.
messagestring
Message describing the result of the operation.
datalist of objects
List of product variant data objects.